using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : SingletonBehaviour<GameManager>
{
    private float _maxHeight = 0;
    public float MaxHeight {
        get
        {
            return _maxHeight;
        }
        set
        {
            _maxHeight = value;
            OnMaxHeightChanged?.Invoke(value);
        }
    }

    public Action<float> OnMaxHeightChanged;
}
